#!/usr/bin/perl
#session cookie
$login_key = shift @ARGV;

#keep track of dirs we need to create
my %dirs;

while (<>) {
	$filename = $_;
	chomp $filename;

#get numeric ID part of filename
	$id = $filename;
	$id =~ s/^.*\///;
	$id =~ s/_.*$//;

#ask flickr
	$response = `(wget --no-cookies --header "Cookie: cookie_session=$login_key" --save-headers --max-redirect=0 -O - http://www.flickr.com/photo.gne?id=$id 2>&1)`;

	$filename =~ s/'/\\'/g;
	print "mv -i \$'$filename' ";
	if ($response =~ m/ask <a href="\/photos\/([^\/]+)\/">.*<\/a> about it!/m) {
		$name = $1;
		$name =~ s/[^A-Za-z0-9_]//g;
		$dirs{$name} = 1;
		print $name;
	}
	elsif ($response =~ m/^Location: \/signin\//m) {
		$dirs{"No_permission_to_view"} = 1;
		print "No_permission_to_view";
	}
	elsif ($response =~ m/^Location: \/photos\/([^\/]+)\//m) {
		$name = $1;
		$name =~ s/[^A-Za-z0-9_]//g;
		$dirs{$name} = 1;
		print $name;
	}
	else {
		$dirs{"Dont_know"} = 1;
		print "Dont_know";
	}
	print "/\n";
	sleep 1;
}

print "\n\n\nCreate these dirs:\n\nmkdir ";
print join "\nmkdir " , (keys %dirs);
print "\n";
